## org.apache.axis.encoding
Class DefaultSOAPEncodingTypeMappingImpl

    java.lang.Object
      |
      +--org.apache.axis.encoding.TypeMappingImpl
            |
            +--org.apache.axis.encoding.DefaultTypeMappingImpl
                  |
                  +--org.apache.axis.encoding.DefaultSOAPEncodingTypeMappingImpl

All Implemented Interfaces:
  TypeMapping, TypeMapping

Direct Known Subclasses:
  DefaultSOAP12TypeMappingImpl

public class DefaultSOAPEncodingTypeMappingImpl
extends DefaultTypeMappingImpl

Author:
  Rich Scheuerle (scheu@us.ibm.com) This is the implementation of the axis Default JAX-RPC SOAP 1.2 TypeMapping See DefaultTypeMapping for more information.

Nested Class Summary

Nested classes inherited from class org.apache.axis.encoding.TypeMappingImpl
`TypeMappingImpl.Pair`

Field Summary

Fields inherited from class org.apache.axis.encoding.TypeMappingImpl
`delegate, log`

Constructor Summary
`protected` `DefaultSOAPEncodingTypeMappingImpl()`

Method Summary
`static TypeMapping` `create()` Construct TypeMapping

Methods inherited from class org.apache.axis.encoding.DefaultTypeMappingImpl
`getSingleton, myRegister, myRegisterSimple, register, removeDeserializer, removeSerializer, setSupportedEncodings`

Methods inherited from class org.apache.axis.encoding.TypeMappingImpl
`getAllClasses, getClassForQName, getDelegate, getDeserializer, getDeserializer, getSerializer, getSerializer, getSupportedEncodings, getTypeQName, getTypeQNameRecursive, getXMLType, internalRegister, isRegistered, setDelegate, setDoAutoTypes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultSOAPEncodingTypeMappingImpl

    protected DefaultSOAPEncodingTypeMappingImpl()

Method Detail

### create

    public static TypeMapping create()

  Construct TypeMapping

Copyright © 2003 Apache Web Services Project. All Rights Reserved.